Subject: Re: [PATCH] Revert "mm: fix MAX_FOLIO_ORDER on powerpc configs with hugetlb"

From: Mike Rapoport <[email-masked]>
Date: Thu, 4 Dec 2025 22:59:10 +0200

On Thu, Dec 04, 2025 at 10:03:09AM -0700, Shuah Khan wrote:
> On 12/3/25 23:35, Mike Rapoport wrote:
> > On Thu, Dec 04, 2025 at 07:17:06AM +0100, David Hildenbrand (Red Hat) wrote:
> > > >
> > > > The blow is is one of the git clone failures:
> > > > 
> > > > git clone git://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux.git linux_6.19
> > > > Cloning into 'linux_6.19'...
> > > > remote: Enumerating objects: 11173575, done.
> > > > remote: Counting objects: 100% (785/785), done.
> > > > remote: Compressing objects: 100% (373/373), done.
> > > > remote: Total 11173575 (delta 534), reused 505 (delta 411), pack-reused 11172790 (from 1)
> > > > Receiving objects: 100% (11173575/11173575), 3.00 GiB | 7.08 MiB/s, done.
> > > > Resolving deltas: 100% (9195212/9195212), done.
> > > > fatal: did not receive expected object 0002003e951b5057c16de5a39140abcbf6e44e50
> > > > fatal: fetch-pack: invalid index-pack output
> > > 
> > > If I would have to guess, these symptoms match what we saw between commit
> > > adfb6609c680 ("mm/huge_memory: initialise the tags of the huge zero folio")
> > > and commit 5bebe8de1926 ("mm/huge_memory: Fix initialization of huge zero folio").
> > > 
> > > 5bebe8de1926 went into v6.18-rc7.
> > > 
> > > Just to be sure, are you sure we were able to reproduce this issue with a
> > > v6.18-rc7 or even v6.18 that contains 5bebe8de1926?
> > > 
> > > Bisecting might give you wrong results, as the problems of adfb6609c680 do not
> > > reproduce reliably.
> > I can confirm that bisecting gives odd results between v6.18-rc5 and
> > v6.18-rc6. I was seeing failures in some tests, bisected a few times and
> > got a bunch of bogus commits including 3470715e5c22 ("MAINTAINERS: update
> > David Hildenbrand's email address") :)
> 
> I am sure this patch is the cause oh the problems I have seen on my two
> systems. Reverting this commit solved issues since this commit does
> impact all architectures enabling HAVE_GIGANTIC_FOLIOS if the conditions
> are right.

The issue reproduces for me with 39231e8d6ba7 reverted as well.
If I run git clone <linux repo> in a VM with 2G of ram it becomes
unresponsive at about 40% of "Receiving objects" and than git errors out
with "invalid index-pack output"

-- 
Sincerely yours,
Mike.